summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-04-01 03:18:54 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-04-01 12:57:25 +0000
commita7bbc1c387bfca0598586dcd7972d8ff792866c0 (patch)
tree163c43550eecdf3a75c871ff249da65cbe41c0c1
parent57e87eca887c5982f251fd03019476c84a72e434 (diff)
downloadtde-packaging-gentoo-a7bbc1c3.tar.gz
tde-packaging-gentoo-a7bbc1c3.zip
Live ebuilds: Add preliminary `KLCDDimmer` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/klcddimmer/klcddimmer-9999.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/trinity-apps/klcddimmer/klcddimmer-9999.ebuild b/trinity-apps/klcddimmer/klcddimmer-9999.ebuild
new file mode 100644
index 00000000..41348cda
--- /dev/null
+++ b/trinity-apps/klcddimmer/klcddimmer-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de nl"
+
+inherit trinity-base-2
+
+DESCRIPTION="Applet to adjust LCD brightness "
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+# There might be a dependency on smartdimmer needed.
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+} \ No newline at end of file